# class ActiveRecord::RecordNotSaved

Raised by ActiveRecord::Base#save! and ActiveRecord::Base.create! methods when a record is invalid and can not be saved.

### Attributes

record[R]

### Public Class Methods

new(message = nil, record = nil) click to toggle source
Calls superclass method

    # File lib/active_record/errors.rb, line 69
    def initialize(message = nil, record = nil)
      @record = record
      super(message)
    end